﻿Option Strict On
Imports System.IO
Imports System.Linq
Imports System.Xml.Linq
Partial Class _Default
    Inherits System.Web.UI.Page

    Dim filePath As String = Server.MapPath("./")

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If File.Exists(filePath & "/App_Data/udons_makeXml.xml") = True Then
            Dim xmldoc = XDocument.Load(filePath & "/App_Data/udons_makeXml.xml")
            TextBox3.Text = xmldoc.ToString
        End If
    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click
        'ページの検証が成功した場合，ここでは価格が数値であった場合。
        If Page.IsValid = True And TextBox2.Text <> String.Empty Then
            If TextBox3.Text = String.Empty Then
                Dim udonElem As XDocument = New XDocument(New XDeclaration("1.0", "utf-8", "yes"), _
                                            New XElement("商品情報", New XElement("商品", _
                                            New XElement("品名", TextBox1.Text), _
                                            New XElement("価格", TextBox2.Text))))
                udonElem.Save(filePath & "/App_Data/udons_makeXml.xml")
                TextBox3.Text = udonElem.ToString
            Else
                Dim doc As XElement = XElement.Load(filePath & "/App_Data/udons_makeXml.xml")
                Dim udon_AddData As XElement = New XElement("商品", _
                                               New XElement("品名", TextBox1.Text), _
                                               New XElement("価格", TextBox2.Text))
                '生成したXMLをルート要素以下に追加する
                doc.Add(udon_AddData)
                doc.Save(filePath & "/App_Data/udons_makeXml.xml")
                TextBox3.Text = doc.ToString
            End If
        End If
    End Sub

    Sub price_check(ByVal sender As Object, ByVal e As ServerValidateEventArgs)
        If IsNumeric(e.Value) = False Then
            e.IsValid = False
        Else
            e.IsValid = True
        End If
    End Sub
End Class
