﻿Option Strict On
Imports System.Linq
Imports System.Xml.Linq
Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim filePath As String = Server.MapPath("./")
        Dim xmldoc As XElement = XElement.Load(filePath & "App_Data/udons_productInfo.xml")
        Dim query As IEnumerable(Of XElement) = xmldoc.Elements("商品")
        '商品要素の属性品番をすべて削除する
        For Each result In query
            result.Attributes("品番").Remove()
            TextBox1.Text = result.Parent.ToString
        Next

        Dim doc As XElement = XElement.Parse(TextBox1.Text)
        Dim query2 As IEnumerable(Of XElement) = doc.Elements("商品")
        Dim i As Integer = 1
        '削除した商品要素の品番を再度追加する
        For Each result In query2
            If Len(i.ToString) > 1 Then
                result.SetAttributeValue("品番", "udon_" & i)
            Else
                result.SetAttributeValue("品番", "udon_0" & i)
            End If
            i = i + 1
            TextBox2.Text = result.Parent.ToString
        Next
    End Sub
End Class
